Package ru.bitel.bgbilling.modules.bill.common.bean

# Class DocType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.bill.common.bean.DocType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class DocType extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `DocumentType`
  `getDocumentType()`
  `int`
  `getNpid()`
  `String`
  `getPattern()`
  `Set<Integer>`
  `getPositionList()`
  `Preferences`
  `getSetup()`
  `String`
  `getSetupString()`
  `String`
  `getStringType()`
  `Set<Integer>`
  `getXmlContractConsist()`
  `Set<Integer>`
  `getXmlModulesConsist()`
  `Set<Integer>`
  `getXmlPluginsConsist()`
  `final boolean`
  `isCreateWhenLessOrEqZero()`
  `boolean`
  `isCreateWhenStronglyLessZero()`
  `boolean`
  `isNSubContractPositions()`
  `boolean`
  `isSubContractPositions()`
  `DocType`
  `setComment(String comment)`
  `final DocType`
  `setCreateWhenLessOrEqZero(boolean createWhenZero)`
  `DocType`
  `setCreateWhenStronglyLessZero(boolean createWhenStronglyLessZero)`
  `DocType`
  `setDocumentType(DocumentType documentType)`
  `DocType`
  `setId(int id)`
  Устанавливает id объекта
  `DocType`
  `setNpid(int npid)`
  `DocType`
  `setNSubContractPositions(boolean nsubContractPositions)`
  `DocType`
  `setPattern(String pattern)`
  `DocType`
  `setPositionList(Set<Integer> positions)`
  `DocType`
  `setSetupString(String setupString)`
  `DocType`
  `setSubContractPositions(boolean subContractPositions)`
  `DocType`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `DocType`
  `setXmlContractConsist(Set<Integer> xmlContractConsist)`
  `DocType`
  `setXmlModulesConsist(Set<Integer> xmlModulesConsist)`
  `DocType`
  `setXmlPluginsConsist(Set<Integer> xmlPluginsConsist)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### DocType

    public DocType()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### getDocumentType

    public DocumentType getDocumentType()

  - ### getNpid

    public int getNpid()

  - ### getPattern

    public String getPattern()

  - ### getPositionList

    public Set<Integer> getPositionList()

  - ### getSetup

    public Preferences getSetup()

  - ### getSetupString

    public String getSetupString()

  - ### getStringType

    public String getStringType()

  - ### getXmlContractConsist

    public Set<Integer> getXmlContractConsist()

  - ### getXmlModulesConsist

    public Set<Integer> getXmlModulesConsist()

  - ### getXmlPluginsConsist

    public Set<Integer> getXmlPluginsConsist()

  - ### isCreateWhenLessOrEqZero

    public final boolean isCreateWhenLessOrEqZero()

  - ### isCreateWhenStronglyLessZero

    public boolean isCreateWhenStronglyLessZero()

  - ### isNSubContractPositions

    public boolean isNSubContractPositions()

  - ### isSubContractPositions

    public boolean isSubContractPositions()

  - ### setComment

    public DocType setComment(String comment)

  - ### setCreateWhenLessOrEqZero

    public final DocType setCreateWhenLessOrEqZero(boolean createWhenZero)

  - ### setCreateWhenStronglyLessZero

    public DocType setCreateWhenStronglyLessZero(boolean createWhenStronglyLessZero)

  - ### setDocumentType

    public DocType setDocumentType(DocumentType documentType)

  - ### setId

    public DocType setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setNpid

    public DocType setNpid(int npid)

  - ### setNSubContractPositions

    public DocType setNSubContractPositions(boolean nsubContractPositions)

  - ### setPattern

    public DocType setPattern(String pattern)

  - ### setPositionList

    public DocType setPositionList(Set<Integer> positions)

  - ### setSetupString

    public DocType setSetupString(String setupString)

  - ### setSubContractPositions

    public DocType setSubContractPositions(boolean subContractPositions)

  - ### setTitle

    public DocType setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setXmlContractConsist

    public DocType setXmlContractConsist(Set<Integer> xmlContractConsist)

  - ### setXmlModulesConsist

    public DocType setXmlModulesConsist(Set<Integer> xmlModulesConsist)

  - ### setXmlPluginsConsist

    public DocType setXmlPluginsConsist(Set<Integer> xmlPluginsConsist)